Bug 189727 - (scribes) Review Request: Scribes
Review Request: Scribes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-23 19:56 EDT by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 19:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-04-23 19:56:14 EDT
Spec URL: http://thecodergeek.com/downloads/fedora/scribes.spec
SRPM URL: http://thecodergeek.com/downloads/fedora/scribes-0.2.4.3-1.src.rpm
Description: Scribes is a simple and sleek text editor for the the GNOME desktop. It focuses
on keeping the working environment free from distractions, and providing strong
automation of mundane, repetitive tasks. 

Through this simplicity, Scribes is very powerful. Its many features include:
* A dynamic templating system (called Snippets),
* Automatic completion of indentifiers and bracketing,
* Automatic indentation and file saving,
* Bookmarks,
* Drag-and-drop functionality,
* Full support for Unicode (UTF-8) text (and many other encodings),
* Syntax highlighting for over 30 programming languages,
* Powerful GNOME integration
* Translations into several different languages,
...and more are in development!
 

rpmlint complains about two zero-length files: /usr/share/gnome/help/scribes/C/figures/scribes_status.png and  /usr/share/gnome/help/scribes/C/figures/scribes_editing.png. However, this is as it is packaged, and I'm going to talk to Mystileef (its developer) if he's on IRC later about this. Otherwise, this seems harmless.
Comment 1 Peter Gordon 2006-04-26 00:19:32 EDT
Updated to 0.2.4.3-2 to include small patch to rid the setup script of the
unnecessary gconf stuff and also to fix some of the spacing inconsistencies in
the spec.

SRPM: http://thecodergeek.com/downloads/fedora/scribes-0.2.4.3-1.src.rpm
Spec: http://thecodergeek.com/downloads/fedora/scribes.spec

Thanks.
Comment 2 Brian Pepple 2006-05-06 14:01:40 EDT
MD5Sums:
5031eaa0ef8817ea32d390fc4d26ceda  scribes-0.2.4.3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Desktop entry is fine
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Builds fine in mock.

Minor:
* Non-blocker rpmlint errors, that are being addressed upstream: 
  E: scribes zero-length /usr/share/gnome/help/scribes/C/figures/scribes_status.png
E: scribes zero-length /usr/share/gnome/help/scribes/C/figures/scribes_editing.png

Bad:
* In your schemas scriptlets you can drop the 'killall -HUP gconfd-2 || :',
since it's no longer needed in FC5 and above.
* Instead of Requires for yelp, you should be using scrollkeeper, and it's
associated scriptlets.
http://fedoraproject.org/wiki/ScriptletSnippets#head-3c9f517f0cd4aaabb369a8805226d85dc2f02793
Comment 3 Peter Gordon 2006-05-06 23:21:52 EDT
Thanks for the review and suggestions, Brian. I've uploaded and updated version
to address these:

Spec: http://thecodergeek.com/downloads/fedora/scribes.spec
SRPM: http://thecodergeek.com/downloads/fedora/scribes-0.2.4.3-3.src.rpm
Comment 4 Brian Pepple 2006-05-07 09:22:14 EDT
The changes you made looks good, go ahead and import it into FE CVS.

PUBLISH +1, full review in comment #2.
Comment 5 Peter Gordon 2006-05-08 19:22:41 EDT
Packages built successfully for Fedora Extras 5 and Devel; and they should be
pushed to the mirrors shortly. Thanks for your time and advice. 
Comment 6 Christian Iseli 2006-12-31 06:28:20 EST
Please do not remove the FE-ACCEPT blocker.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.